commit e50a1deee6eefdfe4ac618db336ac850257f3c3f
Author: Muhammad Usama <m.usama@highgo.ca>
Date:   Fri Mon 27 13:14:10 2020 +0500

    minor fixes in transactions involving multiple servers patch

diff --git a/src/backend/access/fdwxact/fdwxact.c b/src/backend/access/fdwxact/fdwxact.c
index 0990a4e3ed..50e745b603 100644
--- a/src/backend/access/fdwxact/fdwxact.c
+++ b/src/backend/access/fdwxact/fdwxact.c
@@ -1543,7 +1543,7 @@ FdwXactResolveTransaction(Oid dbid, TransactionId xid, PGPROC *waiter)
 
 	LWLockAcquire(FdwXactLock, LW_EXCLUSIVE);
 
-	while ((fdwxact = get_fdwxact_to_resolve(MyDatabaseId, xid)) != NULL)
+	while ((fdwxact = get_fdwxact_to_resolve(dbid, xid)) != NULL)
 	{
 		FdwXactRslvState *state;
 		ForeignServer *server;
diff --git a/src/backend/access/fdwxact/launcher.c b/src/backend/access/fdwxact/launcher.c
index e293d13562..a871727661 100644
--- a/src/backend/access/fdwxact/launcher.c
+++ b/src/backend/access/fdwxact/launcher.c
@@ -394,7 +394,7 @@ fdwxact_relaunch_resolvers(void)
 	HASHCTL		ctl;
 	HASH_SEQ_STATUS status;
 	Oid		   *entry;
-	bool		launched;
+	bool		launched = false;
 	int			i;
 
 	memset(&ctl, 0, sizeof(ctl));
diff --git a/src/backend/postmaster/pgstat.c b/src/backend/postmaster/pgstat.c
index 9dce03a6e4..26d6a08b14 100644
--- a/src/backend/postmaster/pgstat.c
+++ b/src/backend/postmaster/pgstat.c
@@ -3856,6 +3856,7 @@ pgstat_get_wait_ipc(WaitEventIPC w)
 			break;
 		case WAIT_EVENT_FDWXACT:
 			event_name = "FdwXact";
+			break;
 		case WAIT_EVENT_FDWXACT_RESOLUTION:
 			event_name = "FdwXactResolution";
 			break;
